$(function() {
    // Validando que la orden cumpla con los requisitos
    $("#order_now_button_send").click(function (e) {
	var subtotal = 0.0
	var minimum = 0.0
	//alert($("#coupon_need_order_minimum").val() + ' ' + $("#coupon_minimum_order_hdn").val());
	if ($("#coupon_need_order_minimum").val()=='1') {
		if ($("#coupon_minimum_order_hdn").val() != '0') {
			minimum = parseFloat($("#coupon_minimum_order_hdn").val())
		}
	} else {
		if ($("#minimum_order_hdn").val() != 'n/a') {
			minimum = parseFloat($("#minimum_order_hdn").val())
		}
	}
	if (parseFloat($("#total_Subtotal").val()) > 0.0) {
		subtotal = parseFloat($("#total_Subtotal").val())
	}
	// Si no tiene cupon, valida que la orden no sea cero, si tiene cupon, pasa!
	if (minimum > 0) {
		if ((subtotal < minimum) || (subtotal <= 0.0)) {
			e.preventDefault()
			if($("#hiddenSelectedLanguage").attr("value")=="french" || $("#hiddenSelectedLanguage").attr("value")=="_fr") {
				alert("Désolé, mais le montant de la commande actuelle ne répond pas à la valeur minimale de commande pour la livraison de ce restaurant.");
			} else {
				alert("Sorry but the current order amount does not meet the minimum order value for delivery from this restaurant.");
			}
		}
	}
	if ($("#no_communication").val() == '1') {
		e.preventDefault()
		if($("#hiddenSelectedLanguage").attr("value")=="french" || $("#hiddenSelectedLanguage").attr("value")=="_fr") {
			$("#content_error_msg").html('Ce restaurant n\'accepte pas les commandes en ligne, seulement commandes par téléphone');
		} else {
			$("#content_error_msg").html('This restaurant doesn\'t accept online orders, only phone orders');
		}
		show_modal("error-msg");
	}
    })
	$("#forgot_passwd").click(function (e) {
		e.preventDefault()
		$("#loginTool").trigger("click")
		$("#forgotPasswd").trigger('click')
                $("#dialogLogin").css('top', '100px');
	});

    $("#edit_btn").click(function () {
        $("#resume_detais_edit_voucher, #registerStepOneContainer, #registerStepTwoContainer, #updateMyProfile").fadeIn("200");
        $('html,body').animate({
            scrollTop: $("#registerStepOneContainer").offset().top
        }, 1000);
    })
    
    if ($("#payment_methods_select").length) {
        $("#payment_methods_select option").each(function () {
            if ($(this).val() == 'has_cash') {
                $(this).attr('selected', 'selected')
            }
        })
    }
    
    /**
     * Fix para ocultar el curlEffect cuando se ingresa en el Voucher
     */
    if ($("#hiddenCurlEffect").val() == 0) {
        $("#turn_wrapper").hide()
    }
    if ($.browser.msie && $.browser.version < 9) {
        $("div.producto_del").css({"margin-left":'0px', "margin-top":'0px'});
    }

});
